package com.pcloud.book.weixinclock.dto;

import com.pcloud.common.dto.BaseDto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author 杨涛
 * @description TODO
 * @date 2019/8/16 17:45
 */
public class RankDto extends BaseDto {

    private static final long serialVersionUID = 1717568387924758933L;

    @ApiModelProperty("排名")
    private Integer rankNum;

    @ApiModelProperty("打卡成员微信号")
    private String wxUserId;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("头像")
    private String headPic;

    @ApiModelProperty("打卡次数")
    private Integer clockNum;

    @ApiModelProperty("获取的点赞数")
    private Integer praiseNum;

    @ApiModelProperty("当前用户是否点赞")
    private Integer isPraise;

    @ApiModelProperty("得分(打卡分+点赞分)")
    private Integer score;

    @ApiModelProperty("群id")
    private String wxGroupId;

    public Integer getRankNum() {
        return rankNum;
    }

    public void setRankNum(Integer rankNum) {
        this.rankNum = rankNum;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadPic() {
        return headPic;
    }

    public void setHeadPic(String headPic) {
        this.headPic = headPic;
    }

    public Integer getClockNum() {
        return clockNum;
    }

    public void setClockNum(Integer clockNum) {
        this.clockNum = clockNum;
    }

    public Integer getPraiseNum() {
        return praiseNum;
    }

    public void setPraiseNum(Integer praiseNum) {
        this.praiseNum = praiseNum;
    }

    public Integer getIsPraise() {
        return isPraise;
    }

    public void setIsPraise(Integer isPraise) {
        this.isPraise = isPraise;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(String wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    @Override
    public String toString() {
        return "RankDto{" +
                "rankNum=" + rankNum +
                ", nickname='" + nickname + '\'' +
                ", headPic='" + headPic + '\'' +
                ", clockNum=" + clockNum +
                ", praiseNum=" + praiseNum +
                ", isPraise=" + isPraise +
                '}';
    }
}
